kr.co.hanwha.hifive.data.model

## Class UpdateData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.BaseData
  - - kr.co.hanwha.hifive.data.model.UpdateData

    public class UpdateData
    extends BaseData

Created by sanghoonkwon on 2018. 1. 24..

### Field Summary

Fields
`(package private) java.util.ArrayList<NoticeData>` `listPopupNoticeInfos`
`(package private) java.lang.String` `simple_login_yn`
`(package private) UpdateInfo` `updateInfo`

### Fields inherited from class kr.co.hanwha.hifive.data.model.BaseData

`rtn_code, rtn_message, server_time`

### Constructor Summary

Constructors
Constructor and Description
`UpdateData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<NoticeData>` `getListPopupNoticeInfos()`
`UpdateInfo` `getUpdateInfo()`
`boolean` `isSimpleLoginYn()`
`java.lang.String` `toString()`

### Methods inherited from class kr.co.hanwha.hifive.data.model.BaseData

`getRtn_code, getRtn_message, getServer_time`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### updateInfo

    UpdateInfo updateInfo

#### simple_login_yn

    java.lang.String simple_login_yn

#### listPopupNoticeInfos

    java.util.ArrayList<NoticeData> listPopupNoticeInfos

### Constructor Detail

#### UpdateData

    public UpdateData()

### Method Detail

#### isSimpleLoginYn

    public boolean isSimpleLoginYn()

#### getUpdateInfo

    public UpdateInfo getUpdateInfo()

#### getListPopupNoticeInfos

    public java.util.ArrayList<NoticeData> getListPopupNoticeInfos()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `BaseData`